[ Maverik Level 3 functions ]

#

mav_transparentTextRender

mav_transparentTextRender, mav_transparentTextManage

## Summary

Render transparent text correctly.

## Syntax

void mav_transparentTextRender(void *ignored);

void mav_transparentTextManage(MAV_window *w, char *s, int col, int font, float x, float y);

- MAV_window *w
  Window.

- char *s
  The text.

- int col
  The colour.

- int font
  The font.

- float x
  The horizontal position.

- float y
  The vertical position.

## Description

These functions ensure that transparent text is drawn correctly.

- mav_transparentTextRender renders all transparent text.

- mav_transparentTextManage This function is called when transparent text is rendered. This allows for special treatment, specifically to delay rendering until after all other objects have been drawn. These measures are necessary for transparent text to be displayed correctly.

Back to the index page.